
/**
 * 通用数据仓库
 */
export const useLocalStore = defineStore('localStore', {
  state: () => {
    return {
      test: undefined,
      loginBg:true,
      obj:{},
    }
  },
  //计算字段
  getters: {

  },
  //方法
  actions: {

  },
  persist: {
    enabled: true, // 开启缓存  默认会存储在本地localStorage
    strategies: [
      {
        key: 'localStore',
        storage: localStorage,
      },
    ]
  }

})